Noté 3 sur 5 étoiles

It seem useful addon but i can't make it work on firefox 3.5.19

Cette critique est pour une version précédente du module (1.5.1-signed). 

Oh gosh this is bad news. Thanks so much for the rating. I will try to install on 3.5.x and 3.0.x and try to fix the issues. Thanks emil.